/*++

Copyright (c) 1999  Digi International

Module Name:

    dllinit.c

Abstract:

    This module contians the DLL attach/detach event entry point for the
    Digi Wanlinks Setup INF program.

Author:

    Jeff Romatoski

Revision History:

--*/

#include <windows.h>

HANDLE ThisDLLHandle;

BOOL WINAPI
DLLInit(
    IN HANDLE DLLHandle,
    IN DWORD  Reason,
    IN LPVOID ReservedAndUnused
    )
{
    ReservedAndUnused;

    switch(Reason) {

    case DLL_PROCESS_ATTACH:

        ThisDLLHandle = DLLHandle;
        break;

    case DLL_PROCESS_DETACH:

    case DLL_THREAD_ATTACH:
    case DLL_THREAD_DETACH:

        break;
    }

    return(TRUE);
}
